// Mocks generated by Mockito 5.4.5 from annotations
// in newborn_care/test/on_call_doctor_tests/on_call_bloc_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'dart:async' as _i11;

import 'package:flutter/material.dart' as _i2;
import 'package:mockito/mockito.dart' as _i1;
import 'package:mockito/src/dummies.dart' as _i13;
import 'package:newborn_care/models/child_model.dart' as _i8;
import 'package:newborn_care/models/network_request.dart' as _i16;
import 'package:newborn_care/models/on_call_doctor_model.dart' as _i12;
import 'package:newborn_care/models/profile.dart' as _i9;
import 'package:newborn_care/models/sort_list_enum.dart' as _i14;
import 'package:newborn_care/models/user_activity.dart' as _i15;
import 'package:newborn_care/network/message_client.dart' as _i5;
import 'package:newborn_care/network/on_call_doctor_client.dart' as _i4;
import 'package:newborn_care/repository/hive_storage_repository.dart' as _i6;
import 'package:newborn_care/repository/on_call_doctor_repository.dart' as _i10;
import 'package:newborn_care/repository/refresh_repository.dart' as _i7;
import 'package:synchronized/synchronized.dart' as _i3;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: deprecated_member_use
// ignore_for_file: deprecated_member_use_from_same_package
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: must_be_immutable
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeBuildContext_0 extends _i1.SmartFake implements _i2.BuildContext {
  _FakeBuildContext_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeLock_1 extends _i1.SmartFake implements _i3.Lock {
  _FakeLock_1(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeOnCallDoctorClient_2 extends _i1.SmartFake
    implements _i4.OnCallDoctorClient {
  _FakeOnCallDoctorClient_2(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeMessageClient_3 extends _i1.SmartFake implements _i5.MessageClient {
  _FakeMessageClient_3(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeHiveStorageRepository_4 extends _i1.SmartFake
    implements _i6.HiveStorageRepository {
  _FakeHiveStorageRepository_4(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeRefreshRepository_5 extends _i1.SmartFake
    implements _i7.RefreshRepository {
  _FakeRefreshRepository_5(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeChildModel_6 extends _i1.SmartFake implements _i8.ChildModel {
  _FakeChildModel_6(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeProfile_7 extends _i1.SmartFake implements _i9.Profile {
  _FakeProfile_7(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [OnCallDoctorRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockOnCallDoctorRepository extends _i1.Mock
    implements _i10.OnCallDoctorRepository {
  MockOnCallDoctorRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i2.BuildContext get context => (super.noSuchMethod(
        Invocation.getter(#context),
        returnValue: _FakeBuildContext_0(
          this,
          Invocation.getter(#context),
        ),
      ) as _i2.BuildContext);

  @override
  set context(_i2.BuildContext? _context) => super.noSuchMethod(
        Invocation.setter(
          #context,
          _context,
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i3.Lock get lock => (super.noSuchMethod(
        Invocation.getter(#lock),
        returnValue: _FakeLock_1(
          this,
          Invocation.getter(#lock),
        ),
      ) as _i3.Lock);

  @override
  set lock(_i3.Lock? _lock) => super.noSuchMethod(
        Invocation.setter(
          #lock,
          _lock,
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i4.OnCallDoctorClient get onCallDoctorClient => (super.noSuchMethod(
        Invocation.getter(#onCallDoctorClient),
        returnValue: _FakeOnCallDoctorClient_2(
          this,
          Invocation.getter(#onCallDoctorClient),
        ),
      ) as _i4.OnCallDoctorClient);

  @override
  set onCallDoctorClient(_i4.OnCallDoctorClient? _onCallDoctorClient) =>
      super.noSuchMethod(
        Invocation.setter(
          #onCallDoctorClient,
          _onCallDoctorClient,
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i5.MessageClient get messageClient => (super.noSuchMethod(
        Invocation.getter(#messageClient),
        returnValue: _FakeMessageClient_3(
          this,
          Invocation.getter(#messageClient),
        ),
      ) as _i5.MessageClient);

  @override
  set messageClient(_i5.MessageClient? _messageClient) => super.noSuchMethod(
        Invocation.setter(
          #messageClient,
          _messageClient,
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i6.HiveStorageRepository get hiveStorageRepository => (super.noSuchMethod(
        Invocation.getter(#hiveStorageRepository),
        returnValue: _FakeHiveStorageRepository_4(
          this,
          Invocation.getter(#hiveStorageRepository),
        ),
      ) as _i6.HiveStorageRepository);

  @override
  set hiveStorageRepository(
          _i6.HiveStorageRepository? _hiveStorageRepository) =>
      super.noSuchMethod(
        Invocation.setter(
          #hiveStorageRepository,
          _hiveStorageRepository,
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i7.RefreshRepository get refreshRepository => (super.noSuchMethod(
        Invocation.getter(#refreshRepository),
        returnValue: _FakeRefreshRepository_5(
          this,
          Invocation.getter(#refreshRepository),
        ),
      ) as _i7.RefreshRepository);

  @override
  set refreshRepository(_i7.RefreshRepository? _refreshRepository) =>
      super.noSuchMethod(
        Invocation.setter(
          #refreshRepository,
          _refreshRepository,
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i11.Future<dynamic> sendMessageToDoctor(String? userIdOfOtherDoctor) =>
      (super.noSuchMethod(
        Invocation.method(
          #sendMessageToDoctor,
          [userIdOfOtherDoctor],
        ),
        returnValue: _i11.Future<dynamic>.value(),
      ) as _i11.Future<dynamic>);

  @override
  _i11.Future<dynamic> getListOfOnCallDoctors() => (super.noSuchMethod(
        Invocation.method(
          #getListOfOnCallDoctors,
          [],
        ),
        returnValue: _i11.Future<dynamic>.value(),
      ) as _i11.Future<dynamic>);

  @override
  List<_i12.OnCallDoctorModel> seperateDoctorsOnCall(
          List<_i12.OnCallDoctorModel>? list) =>
      (super.noSuchMethod(
        Invocation.method(
          #seperateDoctorsOnCall,
          [list],
        ),
        returnValue: <_i12.OnCallDoctorModel>[],
      ) as List<_i12.OnCallDoctorModel>);
}

/// A class which mocks [HiveStorageRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockHiveStorageRepository extends _i1.Mock
    implements _i6.HiveStorageRepository {
  MockHiveStorageRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  void saveProgramRule(
    String? id,
    String? data,
  ) =>
      super.noSuchMethod(
        Invocation.method(
          #saveProgramRule,
          [
            id,
            data,
          ],
        ),
        returnValueForMissingStub: null,
      );

  @override
  String getProgramRule(String? id) => (super.noSuchMethod(
        Invocation.method(
          #getProgramRule,
          [id],
        ),
        returnValue: _i13.dummyValue<String>(
          this,
          Invocation.method(
            #getProgramRule,
            [id],
          ),
        ),
      ) as String);

  @override
  bool containsProgramRule(String? id) => (super.noSuchMethod(
        Invocation.method(
          #containsProgramRule,
          [id],
        ),
        returnValue: false,
      ) as bool);

  @override
  void saveOrgUnit(String? org) => super.noSuchMethod(
        Invocation.method(
          #saveOrgUnit,
          [org],
        ),
        returnValueForMissingStub: null,
      );

  @override
  String getOrgUnit() => (super.noSuchMethod(
        Invocation.method(
          #getOrgUnit,
          [],
        ),
        returnValue: _i13.dummyValue<String>(
          this,
          Invocation.method(
            #getOrgUnit,
            [],
          ),
        ),
      ) as String);

  @override
  void saveServerURL(String? server) => super.noSuchMethod(
        Invocation.method(
          #saveServerURL,
          [server],
        ),
        returnValueForMissingStub: null,
      );

  @override
  String getServerURL() => (super.noSuchMethod(
        Invocation.method(
          #getServerURL,
          [],
        ),
        returnValue: _i13.dummyValue<String>(
          this,
          Invocation.method(
            #getServerURL,
            [],
          ),
        ),
      ) as String);

  @override
  void saveOnCallDoctors(List<_i12.OnCallDoctorModel>? list) =>
      super.noSuchMethod(
        Invocation.method(
          #saveOnCallDoctors,
          [list],
        ),
        returnValueForMissingStub: null,
      );

  @override
  List<_i12.OnCallDoctorModel> getOnCallDoctors() => (super.noSuchMethod(
        Invocation.method(
          #getOnCallDoctors,
          [],
        ),
        returnValue: <_i12.OnCallDoctorModel>[],
      ) as List<_i12.OnCallDoctorModel>);

  @override
  bool getNotificationEnabled() => (super.noSuchMethod(
        Invocation.method(
          #getNotificationEnabled,
          [],
        ),
        returnValue: false,
      ) as bool);

  @override
  void storeNotificationEnabled(bool? value) => super.noSuchMethod(
        Invocation.method(
          #storeNotificationEnabled,
          [value],
        ),
        returnValueForMissingStub: null,
      );

  @override
  bool getNotificationSoundEnabled() => (super.noSuchMethod(
        Invocation.method(
          #getNotificationSoundEnabled,
          [],
        ),
        returnValue: false,
      ) as bool);

  @override
  void storeNotificationSoundEnabled(bool? value) => super.noSuchMethod(
        Invocation.method(
          #storeNotificationSoundEnabled,
          [value],
        ),
        returnValueForMissingStub: null,
      );

  @override
  bool getThemeData() => (super.noSuchMethod(
        Invocation.method(
          #getThemeData,
          [],
        ),
        returnValue: false,
      ) as bool);

  @override
  void storeThemeData(bool? value) => super.noSuchMethod(
        Invocation.method(
          #storeThemeData,
          [value],
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i14.SortListEnum getSortBy() => (super.noSuchMethod(
        Invocation.method(
          #getSortBy,
          [],
        ),
        returnValue: _i14.SortListEnum.time,
      ) as _i14.SortListEnum);

  @override
  void storeSortBy(_i14.SortListEnum? sortListEnum) => super.noSuchMethod(
        Invocation.method(
          #storeSortBy,
          [sortListEnum],
        ),
        returnValueForMissingStub: null,
      );

  @override
  void storeSingleChild(_i8.ChildModel? child) => super.noSuchMethod(
        Invocation.method(
          #storeSingleChild,
          [child],
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i11.Future<void> storeListOfChild(List<_i8.ChildModel>? childList) =>
      (super.noSuchMethod(
        Invocation.method(
          #storeListOfChild,
          [childList],
        ),
        returnValue: _i11.Future<void>.value(),
        returnValueForMissingStub: _i11.Future<void>.value(),
      ) as _i11.Future<void>);

  @override
  void updateChild(
    String? key,
    _i8.ChildModel? childModel,
  ) =>
      super.noSuchMethod(
        Invocation.method(
          #updateChild,
          [
            key,
            childModel,
          ],
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i8.ChildModel getSingleChild(String? key) => (super.noSuchMethod(
        Invocation.method(
          #getSingleChild,
          [key],
        ),
        returnValue: _FakeChildModel_6(
          this,
          Invocation.method(
            #getSingleChild,
            [key],
          ),
        ),
      ) as _i8.ChildModel);

  @override
  List<_i8.ChildModel> getListOfAllChild() => (super.noSuchMethod(
        Invocation.method(
          #getListOfAllChild,
          [],
        ),
        returnValue: <_i8.ChildModel>[],
      ) as List<_i8.ChildModel>);

  @override
  void storeNotifications(List<_i15.UserActivity>? notificationsList) =>
      super.noSuchMethod(
        Invocation.method(
          #storeNotifications,
          [notificationsList],
        ),
        returnValueForMissingStub: null,
      );

  @override
  List<_i15.UserActivity> getNotificationsList() => (super.noSuchMethod(
        Invocation.method(
          #getNotificationsList,
          [],
        ),
        returnValue: <_i15.UserActivity>[],
      ) as List<_i15.UserActivity>);

  @override
  void storeNetworkRequest(_i16.NetworkRequest? request) => super.noSuchMethod(
        Invocation.method(
          #storeNetworkRequest,
          [request],
        ),
        returnValueForMissingStub: null,
      );

  @override
  void storeNetworkRequestList(List<_i16.NetworkRequest>? networkRequests) =>
      super.noSuchMethod(
        Invocation.method(
          #storeNetworkRequestList,
          [networkRequests],
        ),
        returnValueForMissingStub: null,
      );

  @override
  List<_i16.NetworkRequest> getNetworkRequests() => (super.noSuchMethod(
        Invocation.method(
          #getNetworkRequests,
          [],
        ),
        returnValue: <_i16.NetworkRequest>[],
      ) as List<_i16.NetworkRequest>);

  @override
  void storeProfile(_i9.Profile? profile) => super.noSuchMethod(
        Invocation.method(
          #storeProfile,
          [profile],
        ),
        returnValueForMissingStub: null,
      );

  @override
  void logOutUser() => super.noSuchMethod(
        Invocation.method(
          #logOutUser,
          [],
        ),
        returnValueForMissingStub: null,
      );

  @override
  _i9.Profile getProfile() => (super.noSuchMethod(
        Invocation.method(
          #getProfile,
          [],
        ),
        returnValue: _FakeProfile_7(
          this,
          Invocation.method(
            #getProfile,
            [],
          ),
        ),
      ) as _i9.Profile);

  @override
  void markUserAsLoggedIn() => super.noSuchMethod(
        Invocation.method(
          #markUserAsLoggedIn,
          [],
        ),
        returnValueForMissingStub: null,
      );

  @override
  void markUserAsLoggedOut() => super.noSuchMethod(
        Invocation.method(
          #markUserAsLoggedOut,
          [],
        ),
        returnValueForMissingStub: null,
      );

  @override
  bool checkUserLoggedIn() => (super.noSuchMethod(
        Invocation.method(
          #checkUserLoggedIn,
          [],
        ),
        returnValue: false,
      ) as bool);
}
